Bug 734168 - Review Request: perl-Plack-Test-ExternalServer - Run HTTP tests on external live servers
Summary: Review Request: perl-Plack-Test-ExternalServer - Run HTTP tests on external l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Plack-Tes...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 15:38 UTC by Iain Arnell
Modified: 2011-09-09 17:00 UTC (History)
3 users (show)

Fixed In Version: perl-Plack-Test-ExternalServer-0.01-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-08 07:05:28 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-08-29 15:38:56 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Plack-Test-ExternalServer.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Plack-Test-ExternalServer-0.01-1.fc17.src.rpm

Description:
This module allows you to run your Plack::Test tests against an external
server instead of just against a local application through either mocked
HTTP or a locally spawned server.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3309402

*rt-0.10_01

Comment 1 Mario Blättermann 2011-08-29 18:37:09 UTC
$ rpmlint -i -v *
perl-Plack-Test-ExternalServer.noarch: I: checking
perl-Plack-Test-ExternalServer.noarch: I: checking-url http://search.cpan.org/dist/Plack-Test-ExternalServer/ (timeout 10 seconds)
perl-Plack-Test-ExternalServer.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Plack-Test-ExternalServer-0.01/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

perl-Plack-Test-ExternalServer.src: I: checking
perl-Plack-Test-ExternalServer.src: I: checking-url http://search.cpan.org/dist/Plack-Test-ExternalServer/ (timeout 10 seconds)
perl-Plack-Test-ExternalServer.src: I: checking-url http://www.cpan.org/authors/id/F/FL/FLORA/Plack-Test-ExternalServer-0.01.tar.gz (timeout 10 seconds)
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

The old FSF license once again... No problem actually, but you should report it upstream.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
bb0806b4e5bc61064e3736991dd8640c  Plack-Test-ExternalServer-0.01.tar.gz
bb0806b4e5bc61064e3736991dd8640c  Plack-Test-ExternalServer-0.01.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------

Comment 2 Iain Arnell 2011-08-30 03:10:47 UTC
New Package SCM Request
=======================
Package Name: perl-Plack-Test-ExternalServer
Short Description: Run HTTP tests on external live servers
Owners: iarnell
Branches: f14 f15 f16
InitialCC: perl-sig

Comment 3 Iain Arnell 2011-08-30 03:12:39 UTC
(In reply to comment #1)
> The old FSF license once again... No problem actually, but you should report it
> upstream.

Upstream is using Dist-Zilla - the correct license should automatically be included with their next release.

Thanks for the review.

Comment 4 Gwyn Ciesla 2011-08-30 11:55:48 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-08-30 15:54:05 UTC
perl-Plack-Test-ExternalServer-0.01-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Plack-Test-ExternalServer-0.01-1.fc16

Comment 6 Fedora Update System 2011-08-30 15:54:13 UTC
perl-Plack-Test-ExternalServer-0.01-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Plack-Test-ExternalServer-0.01-1.fc15

Comment 7 Fedora Update System 2011-08-30 15:54:21 UTC
perl-Plack-Test-ExternalServer-0.01-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Plack-Test-ExternalServer-0.01-1.fc14

Comment 8 Fedora Update System 2011-08-30 20:45:25 UTC
perl-Plack-Test-ExternalServer-0.01-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2011-09-08 07:05:22 UTC
perl-Plack-Test-ExternalServer-0.01-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 10 Fedora Update System 2011-09-08 07:07:06 UTC
perl-Plack-Test-ExternalServer-0.01-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-09-09 16:59:56 UTC
perl-Plack-Test-ExternalServer-0.01-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.